Bug 461632 - Unable to activate networking on IBM PowerPC using anaconda + NetworkManager
Unable to activate networking on IBM PowerPC using anaconda + NetworkManager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-09 12:18 EDT by James Laska
Modified: 2013-09-02 02:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 10:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvv (11.34 KB, text/plain)
2008-09-09 12:18 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-09-09 12:18:12 EDT
Created attachment 316206 [details]
lspci -vvv

+++ This bug was initially created as a clone of Bug #461623 +++

Description:

When starting a network install on IBM PowerPC of rawhide, loader (and NetworkManager) appear to touch interfaces other than the selected interface.  Additionally, it fails to activate the requested interface.

Version-Release number of selected component (if applicable):
 * kernel-2.6.27-0.314.rc5.git9.fc10.ppc64
 * anaconda-11.4.1.32-1.ppc
 * NetworkManager-0.7.0-0.11.svn4022.1.fc

Steps to Reproduce:

1) Only eth0 is connected, so select eth0
            +----------------+ Networking Device +----------------+
            |                                                     |
            | You have multiple network devices on this system.   |
            | Which would you like to install through?            |
            |                                                     |
            |  eth0 - Ethernet device eth0 - 00:11:25:7e:01:78    |
            |  eth1 - Ethernet device eth1 - 00:11:25:7e:01:79    |
            |  eth2 - Ethernet device eth2 - 00:11:25:a5:2e:28    |
            |  eth3 - Ethernet device eth3 - 00:11:25:a5:2e:29    |
            |                                                     |
            |    +----+         +----------+         +------+     |
            |    | OK |         | Identify |         | Back |     |
            |    +----+         +----------+         +------+     |
            |                                                     |
            |                                                     |
            +-----------------------------------------------------+
2) Select Next
                +-------------+ Configure TCP/IP +-------------+
                |                                              |
                | [*] Enable IPv4 support                      |
                |        (*) Dynamic IP configuration (DHCP)   |
                |        ( ) Manual configuration              |
                |                                              |
                | [*] Enable IPv6 support                      |
                |        (*) Automatic neighbor discovery      |
                |        ( ) Dynamic IP configuration (DHCPv6) |
                |        ( ) Manual configuration              |
                |                                              |
                |        +----+               +------+         |
                |        | OK |               | Back |         |
                |        +----+               +------+         |
                |                                              |
                |                                              |
                +----------------------------------------------+

Actual Results:

Observe the console spewage ...

                +-------------+ Configure TCP/IP +-------------+
                |                                              |
                | [*] Enable IPv4 support                      |
                |        (*) Dynamic IP configuration (DHCP)   |
                |        ( ) Manual configuration              |
                |                                              |
           +-------------------------------------------------------+
           |                                                       |
           | ADDRCONF(NETDEV_UP): eth1: link is not ready...       |
ADDRCONF(NETDEV_UP): eth0: link is not ready                       |
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Half Duplex, Flow Control: None
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
ADDRCONF(NETDEV_UP): eth3: link is not ready  | Back |         |
ADDRCONF(NETDEV_UP): eth2: link is not ready  +------+         |
                |                                              |
                |                                              |
                +----------------------------------------------+

The NIC never activates and I'm returned to the IPv4 IPv6 screen.

Expected results:

eth0 should be activated.  

Additional information:

See attached lspci -vvv output

$ ethtool eth0 
Settings for eth0:
	Supported ports: [ TP ]
	Supported link modes:   10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Supports auto-negotiation: Yes
	Advertised link modes:  10baseT/Half 10baseT/Full 
	                        100baseT/Half 100baseT/Full 
	                        1000baseT/Full 
	Advertised auto-negotiation: Yes
	Speed: 100Mb/s
	Duplex: Half
	Port: Twisted Pair
	PHYAD: 0
	Transceiver: internal
	Auto-negotiation: on
	Supports Wake-on: umbg
	Wake-on: g
	Current message level: 0x00000007 (7)
	Link detected: yes
Comment 1 James Laska 2008-09-09 12:19:47 EDT
Triaging ... adding to F10Blocker.
Comment 2 Chris Lumens 2008-09-09 14:24:43 EDT
Anything weird on tty4?  Like, say, some message about system_settings_get_unmanaged_devices_cb() failing?
Comment 3 James Laska 2008-09-30 16:30:07 EDT
Will queue this up for re-test ...
Comment 4 James Laska 2008-10-01 10:10:12 EDT
Pick eth0, select OK

      +----------------------+ Networking Device +----------------------+
      |                                                                 |
      | You have multiple network devices on this system. Which would   |
      | you like to install through?                                    |
      |                                                                 |
      |        eth0 - Ethernet device eth0 - 00:11:25:7e:01:78          |
      |        eth1 - Ethernet device eth1 - 00:11:25:7e:01:79          |
      |        eth2 - Ethernet device eth2 - 00:11:25:a5:2e:28          |
      |        eth3 - Ethernet device eth3 - 00:11:25:a5:2e:29          |
      |                                                                 |
      |      +----+             +----------+             +------+       |
      |      | OK |             | Identify |             | Back |       |
      |      +----+             +----------+             +------+       |
      |                                                                 |
      |                                                                 |
      +-----------------------------------------------------------------+

Select OK

                +-------------+ Configure TCP/IP +-------------+
                |                                              |
                | [*] Enable IPv4 support                      |
                |        (*) Dynamic IP configuration (DHCP)   |
                |        ( ) Manual configuration              |
                |                                              |
                | [*] Enable IPv6 support                      |
                |        (*) Automatic neighbor discovery      |
                |        ( ) Dynamic IP configuration (DHCPv6) |
                |        ( ) Manual configuration              |
                |                                              |
                |        +----+               +------+         |
                |        | OK |               | Back |         |
                |        +----+               +------+         |
                |                                              |
                |                                              |
                +----------------------------------------------+

    +----------------------------+ Retrieving +----------------------------+
    |                                                                      |
    | Retrieving install.img...\                                           |
    |                                                                      |
    |                                  16%                                 |
    |                                                                      |
    +----------------------------------------------------------------------+

Note You need to log in before you can comment on or make changes to this bug.